using Microsoft.AspNetCore.Mvc;

namespace IntegradorBE.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class UPCController : ControllerBase
    {

        [HttpGet]
        public IActionResult UPC(string TX_DOC_AFIL)
        {
            try{

                if (TX_DOC_AFIL == null) return Conflict("Introduzca un valor para consultar");

                UPCModel[] upc = new UPCModel[5];

                upc[0] = new UPCModel
                {
                    TX_DOC_AFIL = "7818322",
                    NU_VALORUPC_UPC = 300000,
                };

                upc[1] = new UPCModel
                {
                    TX_DOC_AFIL = "234wert",
                    NU_VALORUPC_UPC = 20000,
                };

                upc[2] = new UPCModel
                {
                    TX_DOC_AFIL = "900578105",
                    NU_VALORUPC_UPC = 10000,
                };

                upc[3] = new UPCModel
                {
                    TX_DOC_AFIL = "1452145",
                    NU_VALORUPC_UPC = 50000,
                };

                upc[4] = new UPCModel
                {
                    TX_DOC_AFIL = "127647831",
                    NU_VALORUPC_UPC = 70000,
                };

                var existe = upc.FirstOrDefault(x => x.TX_DOC_AFIL == TX_DOC_AFIL)?.NU_VALORUPC_UPC;

                if (existe != null)
                {
                    return Ok(existe);
                }

                return Ok("El documento no existe");
            }
            catch(Exception ex)
            {
                return BadRequest(ex);
            }
        }

    }

    public class UPCModel
    {
        public string? TX_DOC_AFIL { get; set; }
        public decimal? NU_VALORUPC_UPC { get; set; }
    }

}